Bug Hunting Session
Bug 93866 - ICONS: Parent icon theme links.txt duplicate records not inherited in child themes
Summary: ICONS: Parent icon theme links.txt duplicate records not inherited in child t...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2015-09-02 18:21 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-24 11:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-02 18:21:43 UTC
The issue mentioned in bug 90790 wasnt resolved, so kendy asked me to open a new bug for it again.

Another example of this can be found with :-
1) Open Writer
2) Insert an image
3) The 'Forward One' and 'Back One' button are from Galaxy

Galaxy's links.txt has an entry for lc_objectforwardone.png but this isnt being imported into tango's links.txt, so tango is showing galaxy's icon because tango doesnt have the reference in its links.txt and doesnt have the png in its folder.

So getting an icon should be done in the following steps:
1) get png of the same file name in theme's folder
2) get png with theme's links.txt reference in theme's folder
3) get png with parent's links.txt reference in theme's folder
4) get png of the same file name in parent theme's folder
5) get png with parent's links.txt reference in parent theme's folder
Comment 1 Buovjaga 2015-09-14 09:57:28 UTC
Ok, this should be NEW then.
Comment 2 QA Administrators 2016-11-08 11:23:54 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2018-09-24 06:08:24 UTC Comment hidden (obsolete)
Comment 4 andreas_k 2018-09-24 11:13:38 UTC
The different icon theme maintainer aren't interested into standardization. My idea was an generic link section which is everywhere the same an an specific section depend on the icon theme but the feedback from the icon designers was. The icon theme maintain there icon theme and will maintain also the links.txt file.